using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("班组完成情况前十")]
    public partial class T_FM_DEPARTMENT_COMPLETION_SORT : MesEntityBase
    {
        [Description("部门ID")]
        [FormFieldTable]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("部门名称")]
        [DataFieldLength(50)]
        [FormFieldTable]
        public string DEPARTMENT_NAME { get; set; }

        [Description("班组ID")]
        [FormFieldTable]
        public Guid? TEAM_ID { get; set; }

        [Description("班组名称")]
        [DataFieldLength(50)]
        [FormFieldTable]
        public string TEAM_NAME { get; set; }

        [Description("顺序")]
        public int NUM { get; set; }

        [Description("班前会议总数量")]
        public int TEAM_TOTAL_COUNT { get; set; }

        [Description("班前会议已办数")]
        public int TEAM_FINISH_COUNT { get; set; }
       
        [Description("岗位当班总数量")]
        public int POST_TOTAL_COUNT { get; set; }

        [Description("岗位当班已办数")]
        public int POST_FINISH_COUNT { get; set; }

        [Description("岗位交接班总数量")]
        public int HANDOVER_TOTAL_COUNT { get; set; }

        [Description("岗位交接已办数")]
        public int HANDOVER_FINISH_COUNT { get; set; }

        [Description("班组安全活动总数量")]
        public int ACTIVITY_TOTAL_COUNT { get; set; }

        [Description("班组安全活动已办数")]
        public int ACTIVITY_FINISH_COUNT { get; set; }

        [Description("开始时间")]
        public DateTime? START_TIME { get; set; }

        [Description("截止时间")]
        public DateTime? END_TIME { get; set; }
        [Description("计算用")]
        [DataFieldIngore]
        public double CALC { get; set; }

        [Description("班前会议及时完成数")]
        [DataFieldIngore]
        public int TEAM_ONTIME_FINISH_COUNT { get; set; }
        [Description("岗位当班及时完成数")]
        [DataFieldIngore]
        public int POST_ONTIME_FINISH_COUNT { get; set; }
        [Description("岗位交接及时完成数")]
        [DataFieldIngore]
        public int HANDOVER_ONTIME_FINISH_COUNT { get; set; }

        [Description("班组安全活动已办数")]
        [DataFieldIngore]
        public int ACTIVITY_ONTIME_FINISH_COUNT { get; set; }

        [Description("计算用")]
        [DataFieldIngore]
        public double CALC_LICENSE { get; set; }
    }
}
